Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.configuration.security
Class TLSServerParametersType

    java.lang.Object
      org.apache.cxf.configuration.security.TLSServerParametersType

    public class TLSServerParametersType

extends Object

Java class for TLSServerParametersType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TLSServerParametersType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="keyManagers" type="{http://cxf.apache.org/configuration/security}KeyManagersType" minOccurs="0"/>
             <element name="trustManagers" type="{http://cxf.apache.org/configuration/security}TrustManagersType" minOccurs="0"/>
             <element name="cipherSuites" type="{http://cxf.apache.org/configuration/security}CipherSuites" minOccurs="0"/>
             <element name="cipherSuitesFilter" type="{http://cxf.apache.org/configuration/security}FiltersType" minOccurs="0"/>
             <element name="secureRandomParameters" type="{http://cxf.apache.org/configuration/security}SecureRandomParameters" minOccurs="0"/>
             <element name="clientAuthentication" type="{http://cxf.apache.org/configuration/security}ClientAuthentication" minOccurs="0"/>
             <element name="certConstraints" type="{http://cxf.apache.org/configuration/security}CertificateConstraintsType" minOccurs="0"/>
           </all>
           <attribute name="jsseProvider" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="secureSocketProtocol" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected CertificateConstraintsType` | `certConstraints`
`protected CipherSuites` | `cipherSuites`
`protected FiltersType` | `cipherSuitesFilter`
`protected ClientAuthentication` | `clientAuthentication`
`protected String` | `jsseProvider`
`protected KeyManagersType` | `keyManagers`
`protected SecureRandomParameters` | `secureRandomParameters`
`protected String` | `secureSocketProtocol`
`protected TrustManagersType` | `trustManagers`

Constructor Summary
`TLSServerParametersType()`

Method Summary
`CertificateConstraintsType` | `getCertConstraints()` Gets the value of the certConstraints property.
`CipherSuites` | `getCipherSuites()` Gets the value of the cipherSuites property.
`FiltersType` | `getCipherSuitesFilter()` Gets the value of the cipherSuitesFilter property.
`ClientAuthentication` | `getClientAuthentication()` Gets the value of the clientAuthentication property.
`String` | `getJsseProvider()` Gets the value of the jsseProvider property.
`KeyManagersType` | `getKeyManagers()` Gets the value of the keyManagers property.
`SecureRandomParameters` | `getSecureRandomParameters()` Gets the value of the secureRandomParameters property.
`String` | `getSecureSocketProtocol()` Gets the value of the secureSocketProtocol property.
`TrustManagersType` | `getTrustManagers()` Gets the value of the trustManagers property.
`boolean` | `isSetCertConstraints()`
`boolean` | `isSetCipherSuites()`
`boolean` | `isSetCipherSuitesFilter()`
`boolean` | `isSetClientAuthentication()`
`boolean` | `isSetJsseProvider()`
`boolean` | `isSetKeyManagers()`
`boolean` | `isSetSecureRandomParameters()`
`boolean` | `isSetSecureSocketProtocol()`
`boolean` | `isSetTrustManagers()`
`void` | `setCertConstraints(CertificateConstraintsType value)` Sets the value of the certConstraints property.
`void` | `setCipherSuites(CipherSuites value)` Sets the value of the cipherSuites property.
`void` | `setCipherSuitesFilter(FiltersType value)` Sets the value of the cipherSuitesFilter property.
`void` | `setClientAuthentication(ClientAuthentication value)` Sets the value of the clientAuthentication property.
`void` | `setJsseProvider(String value)` Sets the value of the jsseProvider property.
`void` | `setKeyManagers(KeyManagersType value)` Sets the value of the keyManagers property.
`void` | `setSecureRandomParameters(SecureRandomParameters value)` Sets the value of the secureRandomParameters property.
`void` | `setSecureSocketProtocol(String value)` Sets the value of the secureSocketProtocol property.
`void` | `setTrustManagers(TrustManagersType value)` Sets the value of the trustManagers property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keyManagers

    protected KeyManagersType keyManagers

### trustManagers

    protected TrustManagersType trustManagers

### cipherSuites

    protected CipherSuites cipherSuites

### cipherSuitesFilter

    protected FiltersType cipherSuitesFilter

### secureRandomParameters

    protected SecureRandomParameters secureRandomParameters

### clientAuthentication

    protected ClientAuthentication clientAuthentication

### certConstraints

    protected CertificateConstraintsType certConstraints

### jsseProvider

    protected String jsseProvider

### secureSocketProtocol

    protected String secureSocketProtocol

Constructor Detail

### TLSServerParametersType

    public TLSServerParametersType()

Method Detail

### getKeyManagers

    public KeyManagersType getKeyManagers()

  Gets the value of the keyManagers property.

  Returns:
    possible object is `KeyManagersType`

### setKeyManagers

    public void setKeyManagers(KeyManagersType value)

  Sets the value of the keyManagers property.

  Parameters:
    `value` - allowed object is `KeyManagersType`

### isSetKeyManagers

    public boolean isSetKeyManagers()

### getTrustManagers

    public TrustManagersType getTrustManagers()

  Gets the value of the trustManagers property.

  Returns:
    possible object is `TrustManagersType`

### setTrustManagers

    public void setTrustManagers(TrustManagersType value)

  Sets the value of the trustManagers property.

  Parameters:
    `value` - allowed object is `TrustManagersType`

### isSetTrustManagers

    public boolean isSetTrustManagers()

### getCipherSuites

    public CipherSuites getCipherSuites()

  Gets the value of the cipherSuites property.

  Returns:
    possible object is `CipherSuites`

### setCipherSuites

    public void setCipherSuites(CipherSuites value)

  Sets the value of the cipherSuites property.

  Parameters:
    `value` - allowed object is `CipherSuites`

### isSetCipherSuites

    public boolean isSetCipherSuites()

### getCipherSuitesFilter

    public FiltersType getCipherSuitesFilter()

  Gets the value of the cipherSuitesFilter property.

  Returns:
    possible object is `FiltersType`

### setCipherSuitesFilter

    public void setCipherSuitesFilter(FiltersType value)

  Sets the value of the cipherSuitesFilter property.

  Parameters:
    `value` - allowed object is `FiltersType`

### isSetCipherSuitesFilter

    public boolean isSetCipherSuitesFilter()

### getSecureRandomParameters

    public SecureRandomParameters getSecureRandomParameters()

  Gets the value of the secureRandomParameters property.

  Returns:
    possible object is `SecureRandomParameters`

### setSecureRandomParameters

    public void setSecureRandomParameters(SecureRandomParameters value)

  Sets the value of the secureRandomParameters property.

  Parameters:
    `value` - allowed object is `SecureRandomParameters`

### isSetSecureRandomParameters

    public boolean isSetSecureRandomParameters()

### getClientAuthentication

    public ClientAuthentication getClientAuthentication()

  Gets the value of the clientAuthentication property.

  Returns:
    possible object is `ClientAuthentication`

### setClientAuthentication

    public void setClientAuthentication(ClientAuthentication value)

  Sets the value of the clientAuthentication property.

  Parameters:
    `value` - allowed object is `ClientAuthentication`

### isSetClientAuthentication

    public boolean isSetClientAuthentication()

### getCertConstraints

    public CertificateConstraintsType getCertConstraints()

  Gets the value of the certConstraints property.

  Returns:
    possible object is `CertificateConstraintsType`

### setCertConstraints

    public void setCertConstraints(CertificateConstraintsType value)

  Sets the value of the certConstraints property.

  Parameters:
    `value` - allowed object is `CertificateConstraintsType`

### isSetCertConstraints

    public boolean isSetCertConstraints()

### getJsseProvider

    public String getJsseProvider()

  Gets the value of the jsseProvider property.

  Returns:
    possible object is `String`

### setJsseProvider

    public void setJsseProvider(String value)

  Sets the value of the jsseProvider property.

  Parameters:
    `value` - allowed object is `String`

### isSetJsseProvider

    public boolean isSetJsseProvider()

### getSecureSocketProtocol

    public String getSecureSocketProtocol()

  Gets the value of the secureSocketProtocol property.

  Returns:
    possible object is `String`

### setSecureSocketProtocol

    public void setSecureSocketProtocol(String value)

  Sets the value of the secureSocketProtocol property.

  Parameters:
    `value` - allowed object is `String`

### isSetSecureSocketProtocol

    public boolean isSetSecureSocketProtocol()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF